// ObserverSwarm.h

#import <objectbase.h>
#import <space.h>
#import <activity.h>
#import <collections.h>
#import <simtools.h>
#import <simtoolsgui.h>
#import <simtoolsgui/GUISwarm.h>

@interface ObserverSwarm: GUISwarm
{

  id displayActions;                              // schedule data structs
  id displaySchedule;
  id baseSchedule;
  id redSchedule;
  id greenSchedule;
  id blueSchedule;
  id yellowSchedule;
  id activateSchedule;
  
  id baseRaster;
  id colorMap;
  int startRed;
  int startGreen;
  int startBlue;
  int basePos;
  int redPos;
  int greenPos;
  int bluePos;
  
}

// Methods overriden to make the Swarm.

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;
-moveBase;
-moveRed;
-moveGreen;
-moveBlue;


@end

